import requests
url = "https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
.asString();const options = {method: 'GET'};
fetch('https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}Get results by chunkingId
Fetch chunked content by chunking ID. The ID is returned in the response of the POST operation you used to trigger the chunking operation.
import requests
url = "https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
response = requests.get(url)
print(response.text)HttpResponse<String> response = Unirest.get("https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
.asString();const options = {method: 'GET'};
fetch('https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://application_id.applications.lucidworks.com/ai/async-chunking/{CHUNKING_ID}Path Parameters
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
Response
OK
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
"441eb3be-7de6-470a-8141-e416a15c7db1"
The current status of the request. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
chunkingIdandstatusthat is used by the GET request. -
READY - The results associated with the
chunkingIdare available and ready to be retrieved. -
ERROR - An error was generated when the GET request was sent.
-
RETRIEVED - The results associated with the
chunkingIdare returned successfully when the GET request was sent.
"READY"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?